import React from 'react'
import { graphql } from 'gatsby'
import styled from 'react-emotion'
import unified from 'unified'
import markdown from 'remark-parse'
import html from 'remark-html'

import { Box } from '../components/Layout'
import { Timestamp, Link } from '../components/Misc'
import Layout from '../layouts'

const Back = styled.div`
  color: #666;
  float: right;
  position: relative;
  bottom: 1.5rem;
`

class BlogPostTemplate extends React.Component {
  render() {
    const post = this.props.data.airtable

    return (
      <Layout location={this.props.location}>
        <Box>
          <Box
            width={[1, 1, 720]}
            m={['3.5rem 0 0 0', '3.5rem 0 0 0', '3.5rem auto 0 auto']}
            px={[3, 3, 0]}
            style={{ overflow: 'visible' }}
          >
            <Back>
              <Link to="/blog">&larr; Blog</Link>
            </Back>
            <h1>{post.data.restaurant_name}</h1>
            {/* <Timestamp>{post.data.date}</Timestamp> */}
            {/* <h5>Written by {post.data.author}</h5> */}
            {/* <img
              src={post.data.image[0].url}
              style={{
                display: 'block',
                marginBottom: '1rem',
                marginTop: '1rem',
                width: '100%',
                height: 'auto',
              }}
              alt=""
            />
            <div
              dangerouslySetInnerHTML={{
                __html: unified()
                  .use(markdown)
                  .use(html)
                  .processSync(post.data.PostMarkdown),
              }}
            /> */}
          </Box>
        </Box>
      </Layout>
    )
  }
}

export default BlogPostTemplate

export const pageQuery = graphql`
  query BlogPostBySlug($restaurant_name: String!) {
    site {
      siteMetadata {
        title
        author
      }
    }
    airtable(
      data: { restaurant_name: { eq: $restaurant_name } }
      table: { eq: "Blog" }
    ) {
      data {
        restaurant_name
      }
    }
  }
`
